低危 OpenOffice.org图像对象整数溢出漏洞

CVE编号

CVE-2012-1149

利用情况

暂无

补丁情况

官方补丁

披露时间

2012-06-22
漏洞描述
OpenOffice是一款开放源代码的文字处理系统。当分配嵌入图像对象内存时vclmi.dll模块存在整数溢出错误。攻击者把特制JPET对象嵌入到DOC文件,诱使用户解析,可触发基于堆的缓冲区溢出,成功利用漏洞可以以应用程序上下文执行任意代码。
解决建议
OpenOffice 3.4已经修复此漏洞,建议用户下载使用:http://www.openoffice.org/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache openoffice.org 3.3.0 -
运行在以下环境
应用 apache openoffice.org 3.4 -
运行在以下环境
应用 libreoffice libreoffice * Up to
(including)
3.5.2
运行在以下环境
系统 centos_6 openoffice.org * Up to
(excluding)
3.2.1-19.6.el6_2.7
运行在以下环境
系统 debian_6 openoffice.org * Up to
(excluding)
1:3.2.1-11+squeeze6
运行在以下环境
系统 oracle_6 openoffice.org * Up to
(excluding)
3.2.1-19.6.0.1.el6_2.7
运行在以下环境
系统 redhat_6 autocorr-af * Up to
(excluding)
1:3.2.1-19.6.el6_2.7
运行在以下环境
系统 suse_10 libreoffice-cs * Up to
(excluding)
3.4.5.5-0.7.1
运行在以下环境
系统 ubuntu_12.04.5_lts libreoffice * Up to
(excluding)
1:3.5.3-0ubuntu1
阿里云评分
3.5
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-189 数值错误
阿里云安全产品覆盖情况